routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth/login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

/*
    Customer Route
*/
Route::resource('customerorder', 'CustomerOrderController');


/*
    Stokis Route
*/
Route::get('admin/stokis/dashboard/{id}', 'StokisController@dashboard')->name('admin.stokis.dashboard');
Route::get('admin/stokis/order/{id}', 'StokisController@order')->name('admin.stokis.order');
Route::resource('admin/stokis', 'StokisController', ['as' => 'admin']);

/*
    Customer
*/
Route::resource('admin/customer', 'CustomerController', ['as' => 'admin']);
Route::get('customers', 'CustomerController@getAll')->name('customer');
Route::get('customer/edit{id}', 'CustomerController@edit')->name('customer.edit');


/*
    Order Route
*/
Route::get('orders/stokisapprove/{id}', 'OrderController@stokisapprove')->name('orders.stokisapprove');
Route::get('orders/stokisreject/{id}', 'OrderController@stokisreject')->name('orders.stokisreject');
Route::get('orders/approve', 'OrderController@approve')->name('orders.approve');
Route::get('orders/history', 'OrderController@history')->name('orders.history');
Route::resource('orders', 'OrderController');

/*
    Personal Profile Route
*/
Route::resource('profile', 'ProfileController');

/*
    Personal Profile Route
*/
Route::resource('dashboard', 'DashboardController');

/*
    Customer Route
*/
Route::get('customer/get/{id}', 'CustomerOrderController@getCustomer');
Route::resource('customerorders', 'CustomerOrderController');





/*
    Admin Route
*/
Route::get('admin/summary', 'AdminOrderController@summary')->name('admin.summary');
Route::get('admin/reject/{id}', 'AdminOrderController@reject')->name('admin.reject');
Route::get('admin/pending', 'AdminOrderController@pending')->name('admin.pending');
Route::resource('admin', 'AdminOrderController');

app/Order.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Order extends Model
{
    //
    use SoftDeletes;

    protected $fillable = [
        'user_id',
        'customer_id',
        'order_status',
        'total',
        'stokis_id',
    ];

    public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function customer()
    {
        return $this->belongsTo('App\Customer');
    }

    public function orderproducts()
    {
        return $this->hasMany('App\OrderProduct');
    }
}

app/Http/Controllers/OrderController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Customer;
use App\Picture;
use App\Product;
use App\Order;
use App\OrderProduct;
use App\OrderHQ;
use Illuminate\Support\Facades\Auth;

class OrderController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user = User::find(Auth::id());
        $customers = Customer::get();
        $products = Product::get();
        $orders = Order::where('user_id',$user->id)->orderBy('updated_at', 'desc')->paginate(config('app.pagination'));
        return view('orders.create', compact('user','users','products','orders'));
    }

    public function approve()
    {
        $orders = Order::where('order_status','Pending on Stokis')
        ->where('stokis_id',Auth::id())
        ->orderBy('updated_at', 'desc')->paginate(config('app.pagination'));
        return view('orders.index', compact('orders'));
    }

    public function history()
    {
        $orders = Order::where('order_status','!=','Pending on Stokis')
        ->where('stokis_id',Auth::id())
        ->orderBy('updated_at', 'desc')->paginate(config('app.pagination'));
        return view('orders.index', compact('orders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $user = User::find(Auth::id());
        $customers = Customer::Get();
        $products = Product::Get();
        $orders = Order::where('user_id',$user->id)
        ->orderBy('updated_at', 'desc')->paginate(config('app.pagination'));
       return view('orders.create', compact('user','users','products','orders'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'customer_id'=>'required',
        ]);

        $totalOrder = 0.00;
        foreach ($request->get('product_id') as $key => $val)
        {
            $orderLinePrice = $request->input('quantity.'.$key) * $request->input('price.'.$key);
            $totalOrder = $totalOrder + $orderLinePrice;
        }

        if(Auth::user()->leader_id != 0)
            $stokis_id = Auth::user()->leader_id;
        else
            $stokis_id = Auth::id();

        if(Auth::user()->leader_id == 0 && Auth::user()->role =='agent')
            return redirect('/orders/create')->withErrors(['Stokis / Leader is not set. Please contact HQ']);

        $order = new Order([
            'user_id' => Auth::id(),
            'customer_id'=> $request->get('customer_id'),
            'order_status'=> 'Pending on Stokis',
            'total'=> $totalOrder,
            'stokis_id' => $stokis_id,
        ]);
        $order->save();

        foreach ($request->get('product_id') as $key => $val)
        {
            $orderproduct = new OrderProduct([
                'order_id' => $order->id,
                'product_id' => $request->input('product_id.'.$key),
                'quantity' => $request->input('quantity.'.$key),
            ]);
            $orderproduct->save();
        }
        return redirect('/orders/create')->with('success', 'Order has been added');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        $order = Order::find($id);
        $user = $order->user;
        $products = Product::Get();
        return view('orders.edit', compact('order','user','products'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'customer_id'=>'required',
        ]);

        $order = Order::find($id);
        $order->customer = $request->get('customer_id');

        $totalOrder = 0.00;
        foreach ($request->get('orderproduct_id') as $key => $val)
        {
            $orderLinePrice = $request->input('quantity.'.$key) * $request->input('price.'.$key);
            $totalOrder = $totalOrder +$orderLinePrice;
        }

        $order->total = $totalOrder;
        $order->save();

        foreach ($request->get('orderproduct_id') as $key => $val)
        {

            $orderproduct = OrderProduct::find($request->input('orderproduct_id.'.$key));
            $orderproduct->quantity = $request->input('quantity.'.$key);
            $orderproduct->save();
        }
        return redirect('/orders/create')->with('success', 'Orders has been updated');
    }

    public function stokisapprove($id)
    {

        $totalOrder = 0;
        $orderhq = new OrderHQ([
            'status'=> 'Pending on HQ',
            'user_id'=> $id,
            'total'=> $totalOrder,
        ]);

        $orders= Order::where('stokis_id' , $id)->where('order_status', 'Pending on Stokis')->get();
        $orderhq->save();

        foreach ($orders as $order_array) {
            $order = Order::find($order_array->id);
            $order->order_status = 'Pending on HQ';
            $order->save();


            $order->orderhq_id =  $orderhq->id;
            $order->save();

            $orderproducts = OrderProduct::where('order_id',$order_array->id)->get();
            foreach ($orderproducts as $orderproduct) {
                $orderproduct = OrderProduct::find($orderproduct->id);
                $orderproduct->orderhq_id = $orderhq->id;
                $orderproduct->save();
            }

            $totalOrder = $totalOrder +  $order->total;

        }

        $orderhq->total = $totalOrder;
        $orderhq->save();

        return redirect('/orders/approve')->with('success', 'Order has been approved and sent to HQ.');
    }


    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function stokisreject($id)
    {
        $order = Order::find($id);
        $order->order_status = 'Rejected by Stokis';
        $order->save();
        return redirect('/orders/approve')->with('success', 'Order has been rejected.');
    }
}

resources/views/orders/create.blade.php
@extends('orders.header')

@section('ordercontent')

@if(Auth::user()->role == 'stokis' || Auth::user()->role == 'agent' )

<form method="post" action="{{ route('orders.store') }}"  enctype="multipart/form-data">
    @csrf
    <div class="form-style">
        <div class="row">
            <div class="col-md-12 white-background purchase">
                <div class="row">
                    <div class="col-md-12 header-purchase">
                        <h5> Add New Purchase</h5>
                    </div>
                </div>
                <table class="table-bordered order-table">
                    <thead>
                        <tr>
                            <th>Customer Details</th>
                            <th>Order Details</th>
                            <th>Total Price</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                <div class="gray-background">
                                    <button type="button" class="btn gray-background my-1 mx-2"onclick="window.location.href = '{{ route('customerorders.index') }}';" class="btn gray-background">Add a new customer <i class="fas fa-plus"></i></button>
                                </div>
                                <div class="gray-background">
                                    <select class="form-control" id='customers'name="customer_id">
                                        <option  disabled selected>Select Existing Customer</option>
                                        @foreach($user->customers as $customer)
                                            <option value="{{$customer->id}}">{{$customer->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="gray-background customer-info " id="userdata">
                                </div>
                            </td>
                            <td>
                                <div class="row">
                                    <div class="col-md-4">
                                        <p><b>Product</b></p>
                                    </div>
                                    <div class="col-md-4">
                                        <p><b>Quantity</b></p>
                                    </div>
                                    <div class="col-md-4">
                                        <p><b>Price</b></p>
                                    </div>
                                </div>
                                @foreach($products as $product)
                                <div class="row">
                                    <div class="col-md-4">
                                        <p>{{$product->name}}</p>
                                        <input type="hidden" class="form-control" name="product_id[]" value={{$product->id}} />
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input type="number" class="form-control" min="0" name="quantity[]" value="0" onChange="updatePrice()"/>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <p>RM {{$product->price}}</p>
                                        <input type="hidden" class="form-control" name="price[]" value={{$product->price}} />
                                    </div>
                                </div>
                                @endforeach
                            </td>
                            <td>
                                <div class="form-group">
                                    <p id="totalPrice"> RM 0.00</p>
                                </div>
                            </td>
                            <td>
                                <button type="submit" class=" gray-background">Submit</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</form>
@endif
<div class="row">
    <div class="col-md-12 white-background purchase">
        <div class="row">
            <div class="col-md-12 header-purchase">
                <h5>  Product Purchase Status</h5>
            </div>
        </div>
        <table class="table-bordered order-table">
            <thead>
                <tr>
                    <th>Order Number</th>
                    <th>Customer ID</th>
                    <th>Customer Details</th>
                    <th>Order Details</th>
                    <th>Total Price</th>
                    <th>Order Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
            @foreach($orders as $order)
            <form method="get" action="{{ route('orders.edit', $order->id) }}"  enctype="multipart/form-data">
                @csrf
                <tr>
                    <td>JON{{date('dmy', strtotime($order->created_at))}}-{{str_pad($order->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>JCI{{date('dmy', strtotime($order->created_at))}}-{{str_pad($order->customer->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        <p>Name : {{$order->customer->name}}</p>
                        <p>Phone : {{$order->customer->phone_number}}</p>
                        <p>Address : {{$order->customer->address}}</p>
                    </td>
                    <td style="  white-space: nowrap;">
                        @foreach($order->orderproducts as $orderproduct)
                        <p>{{$orderproduct->product->name}} x {{$orderproduct->quantity}} unit</p>
                        @endforeach
                    </td>
                    <td>RM {{$order->total}}</td>
                    <td>{{$order->order_status}}</td>
                    <td>@if ($order->order_status == 'Pending on Stokis') <button type="submit" class="btn gray-background ">Edit</button> @endif</td>
                </tr>
            </form>
            @endforeach
            </tbody>
        </table>
        <div class="text-xs-center mt-4">
            {{ $orders->links() }}
        </div>
    </div>
</div>

@endsection

resources/views/orders/customer.blade.php
@extends('orders.header')

@section('ordercontent')
<div class="form-style">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-12 header-purchase">
                    <h5> Add New Customer</h5>
                </div>
            </div>
            <form method="post" action="{{ route('customerorders.store') }}"  enctype="multipart/form-data">
                @csrf
                <div class="form-style">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="name" class="gray-hint">Nama</label>
                            </div>
                        </div>
                        <div class="col-md-7">
                            <div class="form-group">
                                <input type="text" class="form-control textbox-style" name="name" />
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="phone_number" class="gray-hint">No. Phone</label>
                            </div>
                        </div>
                        <div class="col-md-7">
                            <div class="form-group">
                                <input type="text" class="form-control textbox-style" name="phone_number" />
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="address" class="gray-hint">Alamat Rumah</label>
                            </div>
                        </div>
                        <div class="col-md-7">
                            <div class="form-group">
                                <textarea class="form-control" rows="3" cols="60" name="address"></textarea>
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-3 offset-md-9">
                            <div class="form-group button-holder">
                                <button type="submit" class="btn btn-primary yellow-btn"> SAVE</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection

resources/views/orders/edit.blade.php
@extends('orders.header')

@section('ordercontent')

<form method="post" action="{{ route('orders.update', $order->id) }}"  enctype="multipart/form-data">
    @method('PATCH')
    @csrf
    <div class="form-style">
        <div class="row">
            <div class="col-md-12 white-background purchase">
                <div class="row">
                    <div class="col-md-12 header-purchase">
                        <h5> Edit Purchase</h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 no-right-padding">
                        <div class="black-background white">
                            <p class="no-bottom-margin">Customer Details</p>
                        </div>
                        <div class="gray-background ">
                            <button type="button" onclick="window.location.href = '{{ route('customerorders.index') }}';" class="btn gray-background">Add a new customer <i class="fas fa-plus"></i></button>
                        </div>
                        <div class="gray-background ">
                            <select class="form-control" id='customers'name="customer_id">
                                <option  disabled selected>Select Existing Customer</option>
                                @foreach($user->customers as $customer)
                                    <option value="{{$customer->id}}"
                                    @if ($customer->id == $order->customer_id)
                                    selected
                                    @endif >{{$customer->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="gray-background customer-info " id="userdata">
                        </div>
                    </div>
                    <div class="col-md-5 no-side-padding">
                        <div class="black-background white">
                            <p class="no-bottom-margin">Order Details</p>
                        </div>
                        <div class="gray-background">
                            <div class="row">
                                <div class="col-md-4 ">
                                    <p>Product</p>
                                </div>
                                <div class="col-md-4">
                                    <p>Quantity</p>
                                </div>
                                <div class="col-md-4">
                                    <p>Price</p>
                                </div>
                            </div>

                            @foreach($order->orderproducts as $orderproduct)
                            <div class="row">
                                <div class="col-md-4 ">
                                    <p>{{$orderproduct->product->name}}</p>
                                    <input type="hidden" class="form-control" name="product_id[]" value={{$orderproduct->product->id}} />
                                    <input type="hidden" class="form-control" name="orderproduct_id[]" value={{$orderproduct->id}} />
                                    <input type="hidden" class="form-control" name="price[]" value={{$orderproduct->product->price}} />
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="number" class="form-control" name="quantity[]" value={{$orderproduct->quantity}} />
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <p>RM {{$orderproduct->product->price}}</p>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="col-md-2 no-left-padding">
                        <div class="black-background white">
                            <p class="no-bottom-margin">Action</p>
                        </div>
                        <div class="gray-background">
                            <button type="submit" class="btn">Submit</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

@endsection

resources/views/orders/header.blade.php
@auth
@extends('layouts.layout')

@section('description')
<div>
    <h4>Dashboard Overview</h4>
    <p> Welcome to Jerux Liur Leleh Product Purchase Dashboard.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif
<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background profile small-font">
            <div class="row">
                <div class="col-md-4">
                    <div id="circle" style=""> </div>
                </div>
                <div class="col-md-8">
                   <p class="profile-name">{{$user->name}}</p>
                   <br>
                   <hr>
                   <p>Umur : {{$user->age}}</p>
                   <p>Location : {{$user->address}}</p>
                   <p>Register Date : {{date('d-m-Y', strtotime($user->created_at))}}</p>
                </div>
            </div>
        </div>
    </div>
    @yield('ordercontent')
</div>
@endsection



@section('styles')
    @if(!empty($user->picture[0]->file_name))
    <style>
            #circle
            {
                background:url({{Storage::url($user->picture[0]->file_name)}});
                background-size: cover;
                border-radius:50% 50% 50% 50%;
                width:150px;
                height:150px;
                margin: 0 auto;
            }
    </style>
    @else
    <style>
        #circle
        {
            background:url({{Storage::url('blank.png')}});
            background-size: cover;
            border-radius:50% 50% 50% 50%;
            width:150px;
            height:150px;
            margin: 0 auto;
        }
    </style>
    @endif
@endsection

@section('scripts')
<script>
    $(function() {
            $('select[name=customer_id]').change(function() {
                console.log('lul');
                var url = '{{ url('customer') }}' + '/get/'+ $(this).val();

                $.get(url, function(data) {
                    var id = ('0000'+data.id).slice(-4);
                    var textbox = $('#userdata');
                    textbox.empty();
                    let mydate = new Date(data.created_at);
                    let day= ('00'+mydate.getDate()).slice(-2);
                    let month= mydate.getMonth()+1
                    month =  ('00'+month).slice(-2);
                    let year=mydate.getFullYear().toString().substr(-2);
                    let formatted_date =day+ month+year;
                    textbox.append('<p> Customer ID : JCI' + formatted_date+ '-'+ id + '</p>');
                    textbox.append('<p> Name: ' + data.name + '</p>');
                    textbox.append('<p> Phone: ' +  data.phone_number +'</p>');
                    textbox.append('<p> Address: ' + data.address + '</p>');

                });
            });
        });
</script>
<script>
function updatePrice(){
    var price = document.getElementsByName('price[]');
    var quantity = document.getElementsByName('quantity[]');
    var priceInput = document.getElementById('totalPrice');
    var totalPrice = 0;

    for (var i = 0; i <price.length; i++) {
        var linePrice = price[i].value * quantity[i].value;
        totalPrice = totalPrice + linePrice;
    }
    totalPrice.toFixed(totalPrice);
    priceInput.innerHTML = 'RM ' + totalPrice + '.00';
}
</script>
@endsection
@else
    <script>window.location = "/";</script>
@endauth

resources/views/orders/index.blade.php
@extends('layouts.layout')

@section('description')
<div>
    <h4>Approve Orders</h4>
    <p>Pending Order for Stokis Approval are listed here.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif
<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-8 header-purchase">
                    @if (Route::currentRouteName() == 'orders.approve')
                    <h5>  Pending Order for Stokis Approval </h5>
                    @else
                    <h5>  Order History</h5>
                    @endif
                </div>
                <div class="col-md-4 header-purchase text-right">
                    @if (Route::currentRouteName() == 'orders.approve')
                    <form method="get" action="{{ route('orders.stokisapprove', Auth::user()->id) }}"  enctype="multipart/form-data">
                        @csrf
                        <button type="submit" class="btn gray-background ">Submit Order to HQ</button>
                    </form>
                    @endif
                </div>
            </div>

            <table class="table-bordered order-table">
                <thead>
                    <tr>
                        <th>Order Number</th>
                        <th>Customer ID</th>
                        <th>Agent ID</th>
                        <th>Agent Details</th>
                        <th>Order Details</th>
                        <th>Total Price</th>
                        <th>Last Updated</th>
                        @if (Route::currentRouteName() == 'orders.approve')
                        <th>Action</th>
                        @else
                        <th>Status</th>
                        @endif
                    </tr>
                </thead>
                <tbody>
                @foreach($orders as $order)
                <tr>
                    <td>JON{{date('dmy', strtotime($order->created_at))}}-{{str_pad($order->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>JCI{{date('dmy', strtotime($order->customer->created_at))}}-{{str_pad($order->customer->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>JSI{{date('dmy', strtotime($order->user->created_at))}}-{{str_pad($order->user->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        <p>Name : {{$order->user->name}}</p>
                        <p>Phone : {{$order->user->phone_number}}</p>
                        <p>Address : {{$order->user->address}}</p>
                    </td>
                    <td style="  white-space: nowrap;">
                    @foreach($order->orderproducts as $orderproduct)
                        <p>{{$orderproduct->product->name}} x {{$orderproduct->quantity}} unit</p>
                    @endforeach
                    </td>
                    <td>RM {{$order->total}}</td>
                    <td>{{$order->updated_at}}</td>
                    @if (Route::currentRouteName() == 'orders.approve')
                    <td>
                        <form method="get" action="{{ route('orders.stokisreject', $order->id) }}"  enctype="multipart/form-data">
                            @csrf
                            <button type="submit" class="btn gray-background ">Reject</button>
                        </form>
                    </td>
                    @else
                    <td>{{$order->order_status}} </td>
                    @endif
                </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="text-xs-center">
        {{ $orders->links() }}
    </div>
</div>
@endsection